## dcl-f90-unix_20011120.tgz

=== Makefile ===
# Makefile for dcl-f90-unix (Intel Fortan for Linux)
#
# 2001/06/18  ODAKA Masatsugu (odakker@gfd-dennou.org)
# 2001/11/19  TAKEHIRO Shin-ichi (takepiro@gfd-dennou.org)

include Mkinclude

all:
	cd src/f77; $(MAKE)
	cd src/f90; $(MAKE)
	cd bin; $(MAKE)

install:
	cd src/f77; $(MAKE) install
	cd src/f90; $(MAKE) install
	cd bin; $(MAKE) install

	cp src/f77/work.pc $(MODINSTDIR)/dclf77.pc
	cp src/f90/work.pc $(MODINSTDIR)/dclf90.pc
	echo work.pc > $(MODINSTDIR)/dcl.pcl
	echo $(MODINSTDIR)/dclf77.pc >> $(MODINSTDIR)/dcl.pcl
	echo $(MODINSTDIR)/dclf90.pc >> $(MODINSTDIR)/dcl.pcl

install.man:
	test -d $(DOCINSTDIR) || install -d $(DOCINSTDIR)
	cp -r rc1_en $(DOCINSTDIR)/man_en
	cp -r rc1_jp $(DOCINSTDIR)/man
	cp -r tutorial $(DOCINSTDIR)

clean:
	cd src/f77; $(MAKE) clean
	cd src/f90; $(MAKE) clean
	cd bin; $(MAKE) clean
	$(RM) src/f77/work.pc src/f90/work.pc \
	      src/f77/*.d src/f90/*.d

distclean: clean
	-rm -f Mkinclude SIGEN.htm config.cache config.log config.status

=== bin/Makefile ===
# Makefile for dclf90

include ../Mkinclude

TARGET=dclf90

all: $(TARGET)

install: $(TARGET)
	test -d $(BININSTDIR) || install -d $(BININSTDIR)
	cp $(TARGET) $(BININSTDIR)

dclf90: dclf90.tmpl
	@echo "Making shell script dclf90"
	sed -e "s?@LIBNAME?$(LIBNAME)?" \
	     -e "s?@INCLUDE?$(INCLUDE)?" \
	     -e "s?@LIBINSTDIR?$(LIBINSTDIR)?" \
	     -e "s?@DCLCONFIGPATH?$(DCLCONFIGPATH)?" \
	     -e "s?@FC?$(FC)?" \
	     dclf90.tmpl > dclf90 
	@chmod +x dclf90

clean:
	-rm -f *~ $(TARGET)

=== src/f77/Makefile ===
# Makefile for dcl-f90-linux/f77
#
# 2001/06/14  ODAKA, Masatsugu


include ../../Mkinclude

.SUFFIXES: .o .f90

OBJS= \
    bit_interface.o \
    blk_interface.o \
    chg_interface.o \
    chk_interface.o \
    chn_interface.o \
    chr_interface.o \
    clc_interface.o \
    ctr_interface.o \
    dat_interface.o \
    fft_interface.o \
    fio_interface.o \
    fmt_interface.o \
    fnc_interface.o \
    gnm_interface.o \
    gr_interface.o \
    hex_interface.o \
    ifa_interface.o \
    ind_interface.o \
    int_interface.o \
    intr_interface.o \
    lrl_interface.o \
    map_interface.o \
    mis_interface.o \
    ode_interface.o \
    os_interface.o \
    ran_interface.o \
    rea_interface.o \
    rfa_interface.o \
    rfb_interface.o \
    rnm_interface.o \
    sc_interface.o \
    sg_interface.o \
    sht_interface.o \
    sl_interface.o \
    st_interface.o \
    sub_interface.o \
    sw_interface.o \
    sys_interface.o \
    sz_interface.o \
    tim_interface.o \
    uc_interface.o \
    ud_interface.o \
    ue_interface.o \
    ug_interface.o \
    uh_interface.o \
    ul_interface.o \
    um_interface.o \
    us_interface.o \
    uu_interface.o \
    uv_interface.o \
    uw_interface.o \
    ux_interface.o \
    uy_interface.o \
    uz_interface.o \
    via_interface.o \
    vib_interface.o \
    vra_interface.o \
    vrb_interface.o \
    vst_interface.o \
    xfc_interface.o \
    dcl_f77.o

all: $(OBJS)

.f90.o:
	$(FC) -c $(FFLAGS) $<

install: all
	test -d $(LIBINSTDIR) || install -d $(LIBINSTDIR)
	ar qv $(LIBFILE) *.o
	test -d $(MODINSTDIR) || install -d $(MODINSTDIR)
	install -m 644 *$(MODEXT) $(MODINSTDIR)

clean:
	# caution: MODEXT may be .f90 and should not be used here
	-rm -f *.o *.mod

=== src/f90/Makefile ===
# Makefile for dcl-f90-linux/f90
#
# 2001/06/14  ODAKA, Masatsugu

include ../../Mkinclude

.SUFFIXES: .o .f90

OBJS= \
    dcl_common.o \
    dcl_parm.o \
    blklib.o \
    chglib.o \
    chklib.o \
    ctrlib.o \
    datelib.o \
    fftlib.o \
    gnmlib.o \
    grpack.o \
    indxlib.o \
    intlib.o \
    intrlib.o \
    lrllib.o \
    maplib.o \
    oslib.o \
    rfalib.o \
    rnmlib.o \
    scpack.o \
    sgpack.o \
    shtrlib.o \
    slpack.o \
    syslib.o \
    timelib.o \
    udpack.o \
    uepack.o \
    ugpack.o \
    uhpack.o \
    umpack.o \
    uspack.o \
    uupack.o \
    uvpack.o \
    uwpack.o \
    uzpack.o \
    dcl.o

all: $(OBJS)

.f90.o:
	$(FC) -c $(FFLAGS) $<

install: all
	test -d $(LIBINSTDIR) || install -d $(LIBINSTDIR)
	ar qv $(LIBFILE) *.o
	test -d $(MODINSTDIR) || install -d $(MODINSTDIR)
	install -m 644 *$(MODEXT) $(MODINSTDIR)

clean:
	# caution: MODEXT may be .f90 and should not be used here
	-rm -f *.o *.mod

=== debian/changelog ===
dcl-f90 (5.2-5) unstable; urgency=low

  * Documenets are separated as a differnet package.

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Tue, 20 Nov 2001 12:37:29 +0900

dcl-f90 (5.2-4) unstable; urgency=low

  * Library built with Intel Fortran available.

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Tue, 20 Nov 2001 11:12:06 +0900

dcl-f90 (5.2-3) unstable; urgency=low

  * merge with CVS source version. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 13:17:01 +0900

dcl-f90 (5.2-2) unstable; urgency=low

  * Shell script dclf90 added. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 12:33:19 +0900

dcl-f90 (5.2-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 12:33:02 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dcl-f90
Section: unknown
Priority: optional
Maintainer: TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>
Standards-Version: 3.1.1

Package: dcl-f90-ifc
Architecture: any
Depends: dcl-ifc (>=5.2)
Description: GFD Dennou Club Library Fortran90 Interfaces. 
 This package is built with Intel Fortran compiler. 
 Pleaese visit http://www.gfd-dennou.org/ (in Japanese). 

Package: dcl-f90-doc
Architecture: any
Description: Manual of GFD Dennou Club Library Fortran90 Interfaces. 
 Pleaese visit http://www.gfd-dennou.org/ (in Japanese).

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

#export EXT=ffc
export EXT=ifc

package=dcl-f90-$(EXT)
docpackage=dcl-f90-doc

build:
	$(checkdir)
	cp debian/control.$(EXT) debian/control
	cp debian/Mkinclude.debian.$(EXT) Mkinclude
	cp sys/Makefile.$(EXT) Makefile
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.bak"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -rf debian/tmp-doc

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.
	dh_installdocs -p$(docpackage) -Pdebian/tmp-doc tutorial rc1_en rc1_jp
	dh_installdeb -p$(docpackage) -Pdebian/tmp-doc
	dpkg-gencontrol -isp -p$(docpackage) -Pdebian/tmp-doc
	chown -R root.root debian/tmp-doc
	chmod -R go=rX debian/tmp-doc
	dpkg --build debian/tmp-doc ..

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	dh_link usr/lib/dcl-5.2-$(EXT)/bin/dclf90 usr/bin/dclf90.$(EXT)
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	#debstd
	dh_installdocs NOTE INSTALL debian/changelog
	dh_installdeb
	dpkg-gencontrol -isp -p$(package) -Pdebian/tmp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
